PluginINI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class PluginINI

    java.lang.Object
      net.ctdp.rfdynhud.util.PluginINI

    public class PluginINI

extends java.lang.Object

Abstraction of the main ini file for the plugin.

Author:
  Marvin Froehlich (CTDP)

Field Summary
`static java.lang.String` | `FILENAME`

Constructor Summary
`PluginINI(java.io.File pluginFolder)`

Method Summary
`java.lang.String` | `getEditorPropertyDisplayNameGeneratorClass()` Gets the class name of the propertyDisplayNameGenerator setting from EDITOR group.
`java.io.File` | `getGeneralCacheFolder()` Gets the cacheFolder setting from GENERAL group.
`java.io.File` | `getGeneralConfigFolder()` Gets the configFolder setting from GENERAL group.
`java.lang.String` | `getGeneralExeFilename()` Gets the exe filename from GENERAL group.
`java.lang.String` | `getGeneralLanguage()` Gets the language setting from GENERAL group.
`java.io.File` | `getGeneralLogFolder()` Gets the configFolder setting from GENERAL group.
`java.lang.String` | `getGeneralThreeLetterCodeGeneratorClass()` Gets the class name of the threeLetterCodeGenrator setting from GENERAL group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME

    public static final java.lang.String FILENAME

See Also:
  Constant Field Values

Constructor Detail

### PluginINI

    public PluginINI(java.io.File pluginFolder)

Method Detail

### getGeneralLanguage

    public final java.lang.String getGeneralLanguage()

  Gets the language setting from GENERAL group.

  Returns:
    the language setting from GENERAL group.

### getGeneralExeFilename

    public final java.lang.String getGeneralExeFilename()

  Gets the exe filename from GENERAL group.

  Returns:
    the exe filename from GENERAL group.

### getGeneralLogFolder

    public final java.io.File getGeneralLogFolder()

  Gets the configFolder setting from GENERAL group.

  Returns:
    the configFolder setting from GENERAL group.

### getGeneralConfigFolder

    public final java.io.File getGeneralConfigFolder()

  Gets the configFolder setting from GENERAL group.

  Returns:
    the configFolder setting from GENERAL group.

### getGeneralCacheFolder

    public final java.io.File getGeneralCacheFolder()

  Gets the cacheFolder setting from GENERAL group.

  Returns:
    the cacheFolder setting from GENERAL group.

### getGeneralThreeLetterCodeGeneratorClass

    public final java.lang.String getGeneralThreeLetterCodeGeneratorClass()

  Gets the class name of the threeLetterCodeGenrator setting from GENERAL group.

  Returns:
    the threeLetterCodeGenrator setting from GENERAL group.

### getEditorPropertyDisplayNameGeneratorClass

    public final java.lang.String getEditorPropertyDisplayNameGeneratorClass()

  Gets the class name of the propertyDisplayNameGenerator setting from EDITOR group.

  Returns:
    the propertyDisplayNameGenerator setting from EDITOR group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD